2 PHP errors plus 1 notice

In preparing to upgrade to PHP 7, I’ve run a compatibility checker. The following notices and errors are displayed for Avatars

FILE: /wp-content/plugins/avatars/avatars-files/front/widget.php


FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE


9 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.


FILE: /wp-content/plugins/avatars/avatars.php


FOUND 2 ERRORS AFFECTING 2 LINES


196 | ERROR | ‘clone’ is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)

232 | ERROR | ‘clone’ is a reserved keyword introduced in PHP version 5.0 and cannot be invoked as a function (T_CLONE)